Author Topic: Upgrade from VM 1.1.4 to ?  (Read 10839 times)

ljfent

  • Beginner
  • *
  • Posts: 8
Upgrade from VM 1.1.4 to ?
« on: December 23, 2011, 22:05:07 pm »
I am running Joomla 1.5.25 and currently have VM 1.1.4.

Are there any suggestions for the best upgrade to the most stable version, with the least amount of potential problems?

Also, can you send me some links to the easiest to understand upgrade/patch steps and download kits?

Thanks,

lindapowers

  • Full Member
  • ***
  • Posts: 1335
  • If you're going through hell, keep going.
    • Venta de naranjas online y mandarinas
  • Skype Name: manu.gonzalez91
  • VirtueMart Version: Latest avi
Re: Upgrade from VM 1.1.4 to ?
« Reply #1 on: December 23, 2011, 22:46:58 pm »
Good question, same situation here v 1.1.8 and still can not find a straightforward tutorial on how to upgrade.

PRO

  • Global Moderator
  • Super Hero
  • *
  • Posts: 10352
  • VirtueMart Version: 3+
Re: Upgrade from VM 1.1.4 to ?
« Reply #2 on: December 24, 2011, 00:48:10 am »


1st you should do this locally, or on a private development domain.

The cleanest way if you are staying with J1.5


Backup the site
Install it locally, or on another domain.
Download your picture folders
Export all vmart 1.1 mysql tables into an sql file.
Uninstall vmart 1.1 and all modules and plugins.

Install 2.0
Install the AIO component
Import the vmart 1.1 sql into the database.
Move your images to
images/stories/virtuemart
/product
/category
/vendor

Go to vmart administrator, and enable the "database update tools"
Then run the migrator, and choose "everything.
Run the migrator as many times as it takes.

This way you are not left over with old 1.1 files that you do not need, but you have the data.

your product attributes will not migrate, and your additional images will not be attached to the product. BUT the images will be searchable via the image filter.

If you are going to J1.7 , you need to bring vmart up to 2.0 first. Then do a joomla migrator


My site I am going to J1.7 and 2.0 both. I am actually not migrating the Joomla totally. I am starting clean, and then exporting what I need.
http://extensions.joomla.org/extensions/migration-a-conversion/data-import-a-export/12816     Will bring your content over easily
http://extensions.joomla.org/extensions/migration-a-conversion/users-import-a-export/5430    Will bring users over.



J3.9+ VM 3.4.2
Slowest Page Speed Score (88) (Category)
Fastest Page Speed Score (94-96) (productdetails)

salty

  • Beginner
  • *
  • Posts: 1
Re: Upgrade from VM 1.1.4 to ?
« Reply #3 on: January 12, 2012, 20:38:47 pm »
does this mean that the product attributes cannot be migrated?

PRO

  • Global Moderator
  • Super Hero
  • *
  • Posts: 10352
  • VirtueMart Version: 3+
Re: Upgrade from VM 1.1.4 to ?
« Reply #4 on: January 12, 2012, 20:55:08 pm »
does this mean that the product attributes cannot be migrated?

yes,

there will be a 3rd party plugin that will allow for easier attribute migration.

2.0 attributes are very powerful, and are formatted in so many ways.
Vmart 1.1 only formatted them in 1 way which was separated like
Red;Blue;Green;Yellow +10;Black=190;
J3.9+ VM 3.4.2
Slowest Page Speed Score (88) (Category)
Fastest Page Speed Score (94-96) (productdetails)

kthackston

  • Beginner
  • *
  • Posts: 34
Re: Upgrade from VM 1.1.4 to ?
« Reply #5 on: January 12, 2012, 21:05:29 pm »
But what about the payment and shipping options? The same options are not available in 2.0, as 1.9 or lower, how do you deal with that?

PRO

  • Global Moderator
  • Super Hero
  • *
  • Posts: 10352
  • VirtueMart Version: 3+
Re: Upgrade from VM 1.1.4 to ?
« Reply #6 on: January 12, 2012, 21:22:52 pm »
But what about the payment and shipping options? The same options are not available in 2.0, as 1.9 or lower, how do you deal with that?

There is a shipping option. It works on weights etc. Where you set your own weights, and rates
The ups one, and others will be developed soon, hopefully.

As for the credit cards. I know 1 is finished, but not approved by authorize.net yet.

now that the release is out, more and more 3rd parties are developing stuff for 2.0 and there will be many more add ons soon.




J3.9+ VM 3.4.2
Slowest Page Speed Score (88) (Category)
Fastest Page Speed Score (94-96) (productdetails)

rdharma

  • Beginner
  • *
  • Posts: 22
Re: Upgrade from VM 1.1.4 to ?
« Reply #7 on: November 05, 2014, 12:59:26 pm »
Just upgraded but got following error:
Any suggestions...

Fatal error: Call to undefined method JDatabaseMySQL::loadColumn() in /home/site/public_html/administrator/components/com_virtuemart/models/config.php on line 493

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27473
  • Always on vacation
    • Jenkin Hill Internet
Re: Upgrade from VM 1.1.4 to ?
« Reply #8 on: November 05, 2014, 13:49:15 pm »
ISTR that is part of the function that checks to see that VirtueMart is correctly installed and counts the database tables. Maybe you have an installation error?

You don't say which version you have updated to....   but you could try commenting out the line giving the error to see it that works:

//  $vmTables = $db->loadColumn();
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.4.3.10057 on Joomla 3.9.10 PHP 7.0.33
Testing VM 3.5.0.10097 on Joomla 3.9.10

rdharma

  • Beginner
  • *
  • Posts: 22
Re: Upgrade from VM 1.1.4 to ?
« Reply #9 on: November 05, 2014, 14:24:41 pm »
Thank you in advance. Joomla version is 1.5 and virtuemart version is 1.1.4. and i tried to upgrade virtuemart 2.6.10 with given steps. In database, all virtuemart tables are in Jos_virtuemart and old tables are jos_vm. I need to migrate data, but due to this error. I could not proceed. or any other solutions...Please.

rdharma

  • Beginner
  • *
  • Posts: 22
Re: Upgrade from VM 1.1.4 to ?
« Reply #10 on: November 05, 2014, 14:35:23 pm »
i just commented these error, now i have blank page and url shows: /administrator/index.php?option=com_virtuemart&view=updatesmigration&install=1

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27473
  • Always on vacation
    • Jenkin Hill Internet
Re: Upgrade from VM 1.1.4 to ?
« Reply #11 on: November 05, 2014, 15:34:42 pm »
Joomla 1.5? You should be using Joomla 2.5 as support for the old Joomla version was dropped two years ago.  http://virtuemart.net/news/list-all-news/426-end-of-life-for-virtuemart-11-heidelpay-now-in-virtuemart-2012

Best and easiest way to update is to use this:  http://extensions.virtuemart.net/import-export/virtuemart-migrator-detail
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.4.3.10057 on Joomla 3.9.10 PHP 7.0.33
Testing VM 3.5.0.10097 on Joomla 3.9.10